> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# エンタープライズのセキュリティプロファイルを作成

> エンタープライズが所有するセキュリティプロファイルを作成します。

エンタープライズが所有し、配下のすべての組織で共有されるセキュリティプロファイルを作成します。各組織はこのプロファイルを選択できますが、編集できるのはエンタープライズ管理者のみです。エンタープライズ全体に適用するには、[Set enterprise profile default](https://docs.devin.ai/ja/api-reference/v3/security-profiles/patch-enterprise-security-profile-settings.md) を利用してください。

## 権限

エンタープライズレベルで `ManageAccountSecureModeProfiles` 権限が付与された[サービスユーザー](https://docs.devin.ai/ja/api-reference/v3/service-users/members-service-users.md)または[個人用アクセストークン](https://docs.devin.ai/ja/api-reference/personal-access-tokens.md)が必要です。Enterprise アカウントでのみ利用できます。

## 動作

* 必須なのは `name` のみです。プロフィール名はエンタープライズ内で一意である必要があります。
* `net_policy` を省略した場合、プロフィールは Git連携のホストのみを含む許可リストを初期状態として作成されます (設定ページと同じ初期状態です) 。明示的に `null` を指定すると、そのプロフィールはネットワークに関する設定を持たないことになります。すべてを拒否する設定ではありません。
* `remove_github_cli_token` のデフォルトは `true` です。トークンを保持する (`false`) 場合は、`git_access_level: read_write` が必要です。さらに、ネットワークポリシーを設定している場合は、許可リストに `api.github.com` を含める必要があります。
* `git_access_level` のデフォルトは `read_write`、`enforcement_level` のデフォルトは `recommended` です。


## OpenAPI

````yaml ja/v3-openapi.yaml POST /v3beta1/enterprise/security-profiles
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/security-profiles:
    post:
      tags:
        - security-profiles
      summary: エンタープライズのセキュリティプロファイルを作成
      description: エンタープライズが所有するセキュリティプロファイルを作成します。
      operationId: handle_create_security_profile_v3beta1_enterprise_security_profiles_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SecurityProfileCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseSecurityProfileResponse'
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 認証されていません
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセスが禁止されています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 削除済み
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエスト過多
components:
  schemas:
    SecurityProfileCreateRequest:
      additionalProperties: false
      properties:
        devin_mcp_read_only:
          default: false
          title: Devin Mcp Read Only
          type: boolean
        enforcement_level:
          default: recommended
          enum:
            - recommended
            - mandatory
          title: Enforcement Level
          type: string
        git_access_level:
          default: read_write
          enum:
            - read_only
            - read_write
          title: Git Access Level
          type: string
        mcp_config:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileMcpConfig'
            - type: 'null'
        name:
          maxLength: 128
          minLength: 1
          title: Name
          type: string
        net_policy:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileNetPolicy'
            - type: 'null'
          description: >-
            省略時 = Git連携のホストのみを含む許可リスト（セキュリティプロファイル UI の初期設定と同じ）。明示的な null =
            このプロファイルではネットワーク設定は未指定（すべて拒否するという意味ではありません）。デフォルトの許可リストには
            api.github.com が含まれないため、remove_github_cli_token=false のリクエストでは
            net_policy を明示的に指定する必要があります（null も可）。
        remove_github_cli_token:
          default: true
          title: Remove Github Cli Token
          type: boolean
        slack_channel_access:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileSlackChannelAccess'
            - type: 'null'
          description: 省略時または null = このプロファイルでは Slackチャンネルの設定は未指定（組織の Slack 設定が適用されます）。
        slack_dm_scope:
          anyOf:
            - enum:
                - disabled
                - org_members
                - workspace
              type: string
            - type: 'null'
          description: 省略時または null = このプロファイルでは Slack DM の設定は未指定（組織の Slack 設定が適用されます）。
          title: Slack Dm Scope
        teams_channel_access:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileTeamsChannelAccess'
            - type: 'null'
          description: >-
            省略時または null = このプロファイルでは Teams チャンネルの設定は未指定（組織の Teams
            のデフォルトアクセス設定が適用されます）。
        teams_dm_scope:
          anyOf:
            - enum:
                - disabled
                - installed_users
              type: string
            - type: 'null'
          description: >-
            省略時または null = このプロファイルでは Teams DM の設定は未指定（組織の Teams
            のデフォルトアクセス設定が適用されます）。
          title: Teams Dm Scope
        teams_group_chat_scope:
          anyOf:
            - enum:
                - disabled
                - origin_chat
              type: string
            - type: 'null'
          description: >-
            省略時または null = このプロファイルでは Teams グループチャットの設定は未指定（DM と同様に、組織の Teams
            のデフォルトアクセス設定に基づいて決まります）。
          title: Teams Group Chat Scope
      required:
        - name
      title: SecurityProfileCreateRequest
      type: object
    EnterpriseSecurityProfileResponse:
      additionalProperties: false
      description: |-
        エンタープライズが所有し、そのエンタープライズ内のすべての組織で共有される
        セキュリティプロファイル。所有元のエンタープライズは呼び出し元のトークンから特定されます。
      properties:
        created_at:
          title: Created At
          type: integer
        devin_mcp_read_only:
          description: >-
            true の場合、セッションは読み取り専用の Devin MCP
            ツールのみを呼び出せます（セッションの作成、自動化の管理、その他の書き込み操作は不可）。
          title: Devin Mcp Read Only
          type: boolean
        enforcement_level:
          description: >-
            推奨プロファイルは下位のバインドで上書きできます。必須プロファイルは最低限の制限を定め、下位のポリシーでは制限を厳しくすることしかできません。
          enum:
            - recommended
            - mandatory
          title: Enforcement Level
          type: string
        git_access_level:
          enum:
            - read_only
            - read_write
          title: Git Access Level
          type: string
        mcp_config:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileMcpConfig'
            - type: 'null'
          description: null = このプロファイルでは MCP のポリシーが未指定です。
        name:
          title: Name
          type: string
        net_policy:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileNetPolicy'
            - type: 'null'
          description: null = このプロファイルではネットワークのポリシーが未指定です（すべて拒否するという意味ではありません）。
        profile_id:
          description: セキュリティプロファイルの ID。
          title: Profile Id
          type: string
        remove_github_cli_token:
          description: >-
            true の場合、セッションのマシンから GitHub CLI トークンが削除され、GitHub API
            への直接アクセスができなくなります。
          title: Remove Github Cli Token
          type: boolean
        slack_channel_access:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileSlackChannelAccess'
            - type: 'null'
          description: >-
            このプロファイルが適用されるセッションで、読み取りと投稿が許可される Slackチャンネルの最大範囲。null =
            このプロファイルでは未指定で、組織の Slack 設定が適用されます。
        slack_dm_scope:
          anyOf:
            - enum:
                - disabled
                - org_members
                - workspace
              type: string
            - type: 'null'
          description: >-
            このプロファイルで、Slack から Devin に DM を送信できるユーザーの最大範囲。null =
            このプロファイルでは未指定で、組織の Slack 設定が適用されます。Enterprise アカウントでは 'workspace' は
            'org_members' に制限されます。
          title: Slack Dm Scope
        teams_channel_access:
          anyOf:
            - $ref: '#/components/schemas/SecurityProfileTeamsChannelAccess'
            - type: 'null'
          description: >-
            このプロファイルが適用されるセッションで、読み取りと投稿が許可される Microsoft Teams チャンネルの最大範囲。null =
            このプロファイルでは未指定で、組織の Teams のデフォルトアクセス設定が適用されます。
        teams_dm_scope:
          anyOf:
            - enum:
                - disabled
                - installed_users
              type: string
            - type: 'null'
          description: >-
            このプロファイルで、Devin が Microsoft Teams で DM を送信できる相手の最大範囲。null =
            このプロファイルでは未指定で、組織の Teams のデフォルトアクセス設定が適用されます。
          title: Teams Dm Scope
        teams_group_chat_scope:
          anyOf:
            - enum:
                - disabled
                - origin_chat
              type: string
            - type: 'null'
          description: >-
            このプロファイルで、Devin に読み取りが許可される Teams グループチャットの最大範囲。`origin_chat` =
            セッションの開始元のグループチャットのみ。null = 未指定で、DM と同様に組織の Teams
            のデフォルトアクセス設定に基づいて決定されます。
          title: Teams Group Chat Scope
        updated_at:
          title: Updated At
          type: integer
      required:
        - profile_id
        - name
        - git_access_level
        - enforcement_level
        - devin_mcp_read_only
        - remove_github_cli_token
        - created_at
        - updated_at
      title: EnterpriseSecurityProfileResponse
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          description: ブロックされた操作の拒否理由を示す機械可読コード（例："user_frozen"、"migrated_session"）。
          title: Error Code
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
    SecurityProfileMcpConfig:
      additionalProperties: false
      properties:
        servers:
          description: >-
            このプロファイルの適用対象セッションが利用できる MCPサーバー。キーには marketplace のスラッグ（mcp-servers
            リソースの slug
            フィールド。例：'github'、'notion'）またはインストールのスラッグを指定します。カスタムインストールと
            marketplace サーバーのスラッグが同じ場合、カスタムインストールが優先されます。
          items:
            type: string
          title: Servers
          type: array
      required:
        - servers
      title: SecurityProfileMcpConfig
      type: object
    SecurityProfileNetPolicy:
      additionalProperties: false
      properties:
        allow:
          description: >-
            許可する接続先。リストにない接続先はすべてブロックされます。ホスト名のエントリはワイルドカード（例：*.github.com）に対応しています。空のリストも有効で、すべてを拒否するポリシーになります。
          items:
            anyOf:
              - $ref: '#/components/schemas/SecurityProfileHostnameDestination'
              - $ref: '#/components/schemas/SecurityProfileIpv4Destination'
              - $ref: '#/components/schemas/SecurityProfileIpv6Destination'
          title: Allow
          type: array
      required:
        - allow
      title: SecurityProfileNetPolicy
      type: object
    SecurityProfileSlackChannelAccess:
      additionalProperties: false
      properties:
        channels:
          description: mode が 'specific' の場合に許可するチャンネル。その他のモードでは無視され、空で返されます。
          items:
            $ref: '#/components/schemas/SecurityProfileSlackChannel'
          title: Channels
          type: array
        mode:
          description: >-
            none = セッションはどのチャンネルでも読み取りや投稿ができません。specific =
            指定されたチャンネルのみ。all_public = Slackアプリがメンバーになっているすべての公開チャンネル。
          enum:
            - none
            - specific
            - all_public
          title: Mode
          type: string
      required:
        - mode
      title: SecurityProfileSlackChannelAccess
      type: object
    SecurityProfileTeamsChannelAccess:
      additionalProperties: false
      properties:
        channels:
          description: モードが'specific'の場合に許可されるチャンネル。他のモードでは無視され、空で返されます。
          items:
            $ref: '#/components/schemas/SecurityProfileTeamsChannel'
          title: Channels
          type: array
        mode:
          description: >-
            none = セッションはどのチャンネルでも読み取りや投稿ができません。specific =
            指定されたチャンネルのみ。installed_teams = Devinアプリがインストールされているチームのすべてのチャンネル。
          enum:
            - none
            - specific
            - installed_teams
          title: Mode
          type: string
      required:
        - mode
      title: SecurityProfileTeamsChannelAccess
      type: object
    SecurityProfileHostnameDestination:
      additionalProperties: false
      properties:
        hostname:
          title: Hostname
          type: string
      required:
        - hostname
      title: SecurityProfileHostnameDestination
      type: object
    SecurityProfileIpv4Destination:
      additionalProperties: false
      properties:
        ipv4:
          title: Ipv4
          type: string
      required:
        - ipv4
      title: SecurityProfileIpv4Destination
      type: object
    SecurityProfileIpv6Destination:
      additionalProperties: false
      properties:
        ipv6:
          title: Ipv6
          type: string
      required:
        - ipv6
      title: SecurityProfileIpv6Destination
      type: object
    SecurityProfileSlackChannel:
      additionalProperties: false
      properties:
        channel_id:
          description: Slackチャンネル ID。
          minLength: 1
          title: Channel Id
          type: string
        team_id:
          description: Slack ワークスペース（チーム）ID。
          minLength: 1
          title: Team Id
          type: string
      required:
        - team_id
        - channel_id
      title: SecurityProfileSlackChannel
      type: object
    SecurityProfileTeamsChannel:
      additionalProperties: false
      properties:
        channel_id:
          description: TeamsのチャンネルID（'19:...@thread.tacv2'）。
          minLength: 1
          title: Channel Id
          type: string
        team_id:
          description: Microsoft TeamsのチームのEntraグループ ID。
          minLength: 1
          title: Team Id
          type: string
      required:
        - team_id
        - channel_id
      title: SecurityProfileTeamsChannel
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.